Bug 1372388 - Installer should persist net.ipv4.ip_forward
Summary: Installer should persist net.ipv4.ip_forward
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Tim Bielawa
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks: 1415046 1415067 1477716
TreeView+ depends on / blocked
 
Reported: 2016-09-01 14:50 UTC by Scott Dodson
Modified: 2017-08-02 17:02 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Network Manager resets the net.ipv4.ip_forward parameter Consequence: OpenShift loses certain functionality. Fix: The installer sets the sysctl parameter on the system level now. Result: Network manager restarts no longer interfere with the installation process.
Clone Of:
: 1415046 1415067 1477716 (view as bug list)
Environment:
Last Closed: 2016-10-03 14:52:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1983 normal SHIPPED_LIVE OpenShift Container Platform 3.3 atomic-openshift-utils bug fix update 2016-10-03 18:51:38 UTC

Description Scott Dodson 2016-09-01 14:50:33 UTC
Apparently the node sets net.ipv4.ip_forward but if the network were restarted then things go sideways. We should set this during installation in a way that's persisted across service restarts and other events.

Comment 1 Tim Bielawa 2016-09-01 17:57:27 UTC
Fix submitted:

https://github.com/openshift/openshift-ansible/pull/2396

Comment 3 Gaoyun Pei 2016-09-20 03:19:40 UTC
Test this issue with openshift-ansible-3.3.24-1 tag, it's working as expected.

Setup an ose-3.3 env, after installation, check the current IP forwarding status on node:
[root@openshift-156 ~]# sysctl net.ipv4.ip_forward
net.ipv4.ip_forward = 1
[root@openshift-156 ~]# grep net.ipv4.ip_forward /etc/sysctl.conf
net.ipv4.ip_forward=1

Restart network service and check again:
[root@openshift-156 ~]# systemctl restart network
[root@openshift-156 ~]# sysctl net.ipv4.ip_forward
net.ipv4.ip_forward = 1

Will move bug to verified once openshift-ansible-3.3.24-1 rpm package was included in errata puddle.

Comment 4 Gaoyun Pei 2016-09-21 07:55:45 UTC
Verify this bug with openshift-ansible-3.3.25-1.git.0.56ee824.el7.noarch.rpm

After installation, net.ipv4.ip_forward setting is persisted on nodes.

Comment 6 errata-xmlrpc 2016-10-03 14:52:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1983


Note You need to log in before you can comment on or make changes to this bug.